Subject: Re: [PATCH] vhost: silence an unused-variable warning

From: "Michael S. Tsirkin" <[email-masked]>
Date: Sat, 9 Mar 2019 18:19:07 -0500

On Fri, Mar 08, 2019 at 03:17:26PM -0800, David Miller wrote:
> From: Arnd Bergmann <[email-masked]>
> Date: Wed,  6 Mar 2019 12:05:49 +0100
> 
> > On some architectures, the MMU can be disabled, leading to access_ok()
> > becoming an empty macro that does not evaluate its size argument,
> > which in turn produces an unused-variable warning:
> > 
> > drivers/vhost/vhost.c:1191:9: error: unused variable 's' [-Werror,-Wunused-variable]
> >         size_t s = vhost_has_feature(vq, VIRTIO_RING_F_EVENT_IDX) ? 2 : 0;
> > 
> > Mark the variable as __maybe_unused to shut up that warning.
> > 
> > Signed-off-by: Arnd Bergmann <[email-masked]>
> 
> I'll apply this, thanks Arnd.

I queued this for next linux already and it's been in linux-next
for a while. Sorry that I didn't reply, will try to remember to do it
next time.